Skip to main content
Resource Center/Hardware/SAN Storage Operations/iSCSI Server Operations
GETiSCSI Server OperationsSince 3.0.0SynchronousAuth Required

QueryIscsiLun

QueryIscsiLun

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • iscsiTargetUuidStringRequired

      The iSCSI target UUID.

    • wwidStringRequired

      The device WWID.

    • vendorStringRequired

      The device vendor.

    • modelStringRequired

      The device model.

    • wwnStringRequired

      The device WWN.

    • serialStringRequired

      The device serial No.

    • hctlStringRequired

      The SCSI device HCTL.

    • typeStringRequired

      The device type.

    • pathStringRequired

      The device path.

    • sizeLongRequired

      The device size.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/storage-devices/iscsi/luns

/zstack/v1/storage-devices/iscsi/luns

Operation ID

QueryIscsiLun

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/storage-devices/iscsi/luns' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "d833304319da3b32bc92f21c763a8e5b", "wwid": "36b083fe000daf018000015505abbe00a", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6b083fe000daf018", "serial": "6b083fe000daf018000015505abbe00a", "hctl": "6:0:1:1", "type": "mpath", "path": "ip-0.0.0.201:3260-iscsi-iqn.2018-01.io.zstack:tsn.00001-lun-0", "size": 3.000318820352E13, "multipathDeviceUuid": "36b083fe000daf018000015505abbe00a" }, { "uuid": "a21ee1e2e3f63a61ac983c53c29552d2", "wwid": "36b083fe000daf018000015505abbe00a", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6b083fe000daf018", "serial": "6b083fe000daf018000015505abbe00a", "hctl": "6:0:3:1", "type": "mpath", "path": "ip-0.0.0.201:3260-iscsi-iqn.2018-01.io.zstack:tsn.00002-lun-0", "size": 3.000318820352E13, "multipathDeviceUuid": "36b083fe000daf018000015505abbe00a" } ] }

Change History

This API has no change history records yet.

View all change history